CreateVmBackup
CreateVmBackup
POST
/zstack/v1/volumes/{rootVolumeUuid}/vm-backupsOperation ID
CreateVmBackupSince
3.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
rootVolumeUuidStringRequiredThe UUID of the root volume.
Body Fields
paramsObjectRequiredRequest body parameter object.
backupStorageUuidStringRequiredThe UUID of the backup storage.
nameStringRequiredThe name of the VM backup.
descriptionStringOptional. The detailed description of the backup.
resourceUuidStringOptional.
volumeReadBandwidthLongOptional. The maximum speed at which data is read from the root volume.
volumeWriteBandwidthLongOptional. The maximum speed at which data is written to the root volume.
networkReadBandwidthLongOptional. The network bandwidth for data reads.
networkWriteBandwidthLongOptional. The network bandwidth for data writes.
systemTagsListOptional.
userTagsListOptional.
